package com.bonus.core.customer.changelog.po.cust.diningplace.po;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class CustDiningPlacePO {
   private Long custId;
   private List<DiningPlace> diningPlaceList;

   public Long getCustId() {
      return this.custId;
   }

   public List<DiningPlace> getDiningPlaceList() {
      return this.diningPlaceList;
   }

   public CustDiningPlacePO setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public CustDiningPlacePO setDiningPlaceList(final List<DiningPlace> diningPlaceList) {
      this.diningPlaceList = diningPlaceList;
      return this;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof CustDiningPlacePO)) {
         return false;
      } else {
         CustDiningPlacePO other = (CustDiningPlacePO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$custId = this.getCustId();
            Object other$custId = other.getCustId();
            if (this$custId == null) {
               if (other$custId != null) {
                  return false;
               }
            } else if (!this$custId.equals(other$custId)) {
               return false;
            }

            Object this$diningPlaceList = this.getDiningPlaceList();
            Object other$diningPlaceList = other.getDiningPlaceList();
            if (this$diningPlaceList == null) {
               if (other$diningPlaceList != null) {
                  return false;
               }
            } else if (!this$diningPlaceList.equals(other$diningPlaceList)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof CustDiningPlacePO;
   }



   public String toString() {
      Long var10000 = this.getCustId();
      return "CustDiningPlacePO(custId=" + var10000 + ", diningPlaceList=" + String.valueOf(this.getDiningPlaceList()) + ")";
   }

   public static class DiningPlace {
      @ApiModelProperty("就餐地类型")
      private String type;
      @ApiModelProperty("就餐地id")
      private Long diningPlaceId;

      public String getType() {
         return this.type;
      }

      public Long getDiningPlaceId() {
         return this.diningPlaceId;
      }

      public DiningPlace setType(final String type) {
         this.type = type;
         return this;
      }

      public DiningPlace setDiningPlaceId(final Long diningPlaceId) {
         this.diningPlaceId = diningPlaceId;
         return this;
      }

      public boolean equals(final Object o) {
         if (o == this) {
            return true;
         } else if (!(o instanceof DiningPlace)) {
            return false;
         } else {
            DiningPlace other = (DiningPlace)o;
            if (!other.canEqual(this)) {
               return false;
            } else {
               Object this$diningPlaceId = this.getDiningPlaceId();
               Object other$diningPlaceId = other.getDiningPlaceId();
               if (this$diningPlaceId == null) {
                  if (other$diningPlaceId != null) {
                     return false;
                  }
               } else if (!this$diningPlaceId.equals(other$diningPlaceId)) {
                  return false;
               }

               Object this$type = this.getType();
               Object other$type = other.getType();
               if (this$type == null) {
                  if (other$type != null) {
                     return false;
                  }
               } else if (!this$type.equals(other$type)) {
                  return false;
               }

               return true;
            }
         }
      }

      protected boolean canEqual(final Object other) {
         return other instanceof DiningPlace;
      }



      public String toString() {
         String var10000 = this.getType();
         return "CustDiningPlacePO.DiningPlace(type=" + var10000 + ", diningPlaceId=" + this.getDiningPlaceId() + ")";
      }
   }
}
